Create a post
Create a new feedback post with title, description, tags, and board assignment.
Introduction
This endpoint allows you to create a new post in your organization.
POST
https://api.featureos.app/api/v3/feature_requests
curl -X POST 'https://api.featureos.app/api/v3/feature_requests' \
-H 'API-KEY: YOUR_API_KEY' \
-H 'Content-Type: application/json'Headers
| Parameter | Default | Description |
|---|---|---|
| API-KEY | - | Generate from organization settings on the admin dashboard. |
| ALLOW-PRIVATE | false | Set to true if filtering out a private board’s posts. |
| Authorization | - | Generate a unique JWT token that is specific to a user |
Body Parameters
| Parameter | Required | Format | Description |
|---|---|---|---|
| title | true | String | The title of the post. Also used to generate the slug. |
| description | false | Text | The description of the post. HTML is allowed. |
| attachments | false | File | Upload up to 5 images that will be added to the end of the description. Each image can be either a 'jpeg', 'jpg', 'png' or 'gif' file and a max size of 10 MB. |
| tag_ids | false | Array | The ID of the tags to be added to the post. |
| bucket_id | true | Integer | The ID of the bucket returned in the list buckets endpoint. Needs ALLOW-PRIVATE header to be set if it is a private board ID. |
| state_id | false | Integer | Custom status ID. The ID of the state returned in the organization's info endpoint. |
| jira_issue_id | false | String | The Jira issue ID that needs to be linked to the post. Check the "linked_resource_details" object for the requested jira issue linking status. |